Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(revision 9354)
+++ t3lib/class.t3lib_div.php	(revision )
@@ -3979,65 +4044,65 @@
 
 		*/
 
-#		if ($getEnvName=='HTTP_REFERER')	return '';
+		#		if ($getEnvName=='HTTP_REFERER')	return '';
 
 		$retVal = '';
 
-		switch ((string)$getEnvName)	{
+		switch ((string) $getEnvName) {
 			case 'SCRIPT_NAME':
 				$retVal = (PHP_SAPI == 'fpm-fcgi' || PHP_SAPI == 'cgi' || PHP_SAPI == 'cgi-fcgi') &&
-					($_SERVER['ORIG_PATH_INFO'] ? $_SERVER['ORIG_PATH_INFO'] : $_SERVER['PATH_INFO']) ?
-					($_SERVER['ORIG_PATH_INFO'] ? $_SERVER['ORIG_PATH_INFO'] : $_SERVER['PATH_INFO']) :
-					($_SERVER['ORIG_SCRIPT_NAME'] ? $_SERVER['ORIG_SCRIPT_NAME'] : $_SERVER['SCRIPT_NAME']);
+						($_SERVER['ORIG_PATH_INFO'] ? $_SERVER['ORIG_PATH_INFO'] : $_SERVER['PATH_INFO']) ?
+						($_SERVER['ORIG_PATH_INFO'] ? $_SERVER['ORIG_PATH_INFO'] : $_SERVER['PATH_INFO']) :
+						($_SERVER['ORIG_SCRIPT_NAME'] ? $_SERVER['ORIG_SCRIPT_NAME'] : $_SERVER['SCRIPT_NAME']);
 					// add a prefix if TYPO3 is behind a proxy: ext-domain.com => int-server.com/prefix
 				if (self::cmpIP($_SERVER['REMOTE_ADDR'], $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyIP'])) {
 					if (self::getIndpEnv('TYPO3_SSL') && $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefixSSL']) {
-						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefixSSL'].$retVal;
+						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefixSSL'] . $retVal;
 					} elseif ($GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefix']) {
-						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefix'].$retVal;
+						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefix'] . $retVal;
 					}
 				}
-			break;
+				break;
 			case 'SCRIPT_FILENAME':
 				$retVal = str_replace('//', '/', str_replace('\\', '/',
 					(PHP_SAPI == 'fpm-fcgi' || PHP_SAPI == 'cgi' || PHP_SAPI == 'isapi' || PHP_SAPI == 'cgi-fcgi') &&
-					($_SERVER['ORIG_PATH_TRANSLATED'] ? $_SERVER['ORIG_PATH_TRANSLATED'] : $_SERVER['PATH_TRANSLATED']) ?
-					($_SERVER['ORIG_PATH_TRANSLATED'] ? $_SERVER['ORIG_PATH_TRANSLATED'] : $_SERVER['PATH_TRANSLATED']) :
-					($_SERVER['ORIG_SCRIPT_FILENAME'] ? $_SERVER['ORIG_SCRIPT_FILENAME'] : $_SERVER['SCRIPT_FILENAME'])));
+							($_SERVER['ORIG_PATH_TRANSLATED'] ? $_SERVER['ORIG_PATH_TRANSLATED'] : $_SERVER['PATH_TRANSLATED']) ?
+							($_SERVER['ORIG_PATH_TRANSLATED'] ? $_SERVER['ORIG_PATH_TRANSLATED'] : $_SERVER['PATH_TRANSLATED']) :
+							($_SERVER['ORIG_SCRIPT_FILENAME'] ? $_SERVER['ORIG_SCRIPT_FILENAME'] : $_SERVER['SCRIPT_FILENAME'])));
 
 				break;
 			case 'REQUEST_URI':
 					// Typical application of REQUEST_URI is return urls, forms submitting to itself etc. Example: returnUrl='.rawurlencode(t3lib_div::getIndpEnv('REQUEST_URI'))
-				if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['requestURIvar'])	{	// This is for URL rewriters that store the original URI in a server variable (eg ISAPI_Rewriter for IIS: HTTP_X_REWRITE_URL)
+				if ($GLOBALS['TYPO3_CONF_VARS']['SYS']['requestURIvar']) { // This is for URL rewriters that store the original URI in a server variable (eg ISAPI_Rewriter for IIS: HTTP_X_REWRITE_URL)
-					list($v,$n) = explode('|',$GLOBALS['TYPO3_CONF_VARS']['SYS']['requestURIvar']);
+					list($v, $n) = explode('|', $GLOBALS['TYPO3_CONF_VARS']['SYS']['requestURIvar']);
 					$retVal = $GLOBALS[$v][$n];
-				} elseif (!$_SERVER['REQUEST_URI'])	{	// This is for ISS/CGI which does not have the REQUEST_URI available.
+				} elseif (!$_SERVER['REQUEST_URI']) { // This is for ISS/CGI which does not have the REQUEST_URI available.
-					$retVal = '/'.ltrim(self::getIndpEnv('SCRIPT_NAME'), '/').
+					$retVal = '/' . ltrim(self::getIndpEnv('SCRIPT_NAME'), '/') .
-						($_SERVER['QUERY_STRING']?'?'.$_SERVER['QUERY_STRING']:'');
+							($_SERVER['QUERY_STRING'] ? '?' . $_SERVER['QUERY_STRING'] : '');
 				} else {
 					$retVal = $_SERVER['REQUEST_URI'];
 				}
 					// add a prefix if TYPO3 is behind a proxy: ext-domain.com => int-server.com/prefix
 				if (self::cmpIP($_SERVER['REMOTE_ADDR'], $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyIP'])) {
 					if (self::getIndpEnv('TYPO3_SSL') && $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefixSSL']) {
-						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefixSSL'].$retVal;
+						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefixSSL'] . $retVal;
 					} elseif ($GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefix']) {
-						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefix'].$retVal;
+						$retVal = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyPrefix'] . $retVal;
 					}
 				}
-			break;
+				break;
 			case 'PATH_INFO':
 					// $_SERVER['PATH_INFO']!=$_SERVER['SCRIPT_NAME'] is necessary because some servers (Windows/CGI) are seen to set PATH_INFO equal to script_name
 					// Further, there must be at least one '/' in the path - else the PATH_INFO value does not make sense.
 					// IF 'PATH_INFO' never works for our purpose in TYPO3 with CGI-servers, then 'PHP_SAPI=='cgi'' might be a better check. Right now strcmp($_SERVER['PATH_INFO'],t3lib_div::getIndpEnv('SCRIPT_NAME')) will always return false for CGI-versions, but that is only as long as SCRIPT_NAME is set equal to PATH_INFO because of PHP_SAPI=='cgi' (see above)
-//				if (strcmp($_SERVER['PATH_INFO'],self::getIndpEnv('SCRIPT_NAME')) && count(explode('/',$_SERVER['PATH_INFO']))>1)	{
+					//				if (strcmp($_SERVER['PATH_INFO'],self::getIndpEnv('SCRIPT_NAME')) && count(explode('/',$_SERVER['PATH_INFO']))>1)	{
 				if (PHP_SAPI != 'cgi' && PHP_SAPI != 'cgi-fcgi' && PHP_SAPI != 'fpm-fcgi') {
 					$retVal = $_SERVER['PATH_INFO'];
 				}
-			break;
+				break;
 			case 'TYPO3_REV_PROXY':
 				$retVal = self::cmpIP($_SERVER['REMOTE_ADDR'], $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyIP']);
-			break;
+				break;
 			case 'REMOTE_ADDR':
 				$retVal = $_SERVER['REMOTE_ADDR'];
 				if (self::cmpIP($_SERVER['REMOTE_ADDR'], $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyIP'])) {
@@ -4047,21 +4112,21 @@
 						switch ($GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyHeaderMultiValue']) {
 							case 'last':
 								$ip = array_pop($ip);
-							break;
+								break;
 							case 'first':
 								$ip = array_shift($ip);
-							break;
+								break;
 							case 'none':
 							default:
 								$ip = '';
-							break;
+								break;
 						}
 					}
 					if (self::validIP($ip)) {
 						$retVal = $ip;
 					}
 				}
-			break;
+				break;
 			case 'HTTP_HOST':
 				$retVal = $_SERVER['HTTP_HOST'];
 				if (self::cmpIP($_SERVER['REMOTE_ADDR'], $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyIP'])) {
@@ -4071,21 +4136,21 @@
 						switch ($GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyHeaderMultiValue']) {
 							case 'last':
 								$host = array_pop($host);
-							break;
+								break;
 							case 'first':
 								$host = array_shift($host);
-							break;
+								break;
 							case 'none':
 							default:
 								$host = '';
-							break;
+								break;
 						}
 					}
-					if ($host)	{
+					if ($host) {
 						$retVal = $host;
 					}
 				}
-			break;
+				break;
 				// These are let through without modification
 			case 'HTTP_REFERER':
 			case 'HTTP_USER_AGENT':
@@ -4094,76 +4159,82 @@
 			case 'REMOTE_HOST':
 			case 'QUERY_STRING':
 				$retVal = $_SERVER[$getEnvName];
-			break;
+				break;
 			case 'TYPO3_DOCUMENT_ROOT':
-				// Get the web root (it is not the root of the TYPO3 installation)
-				// The absolute path of the script can be calculated with TYPO3_DOCUMENT_ROOT + SCRIPT_FILENAME
-				// Some CGI-versions (LA13CGI) and mod-rewrite rules on MODULE versions will deliver a 'wrong' DOCUMENT_ROOT (according to our description). Further various aliases/mod_rewrite rules can disturb this as well.
-				// Therefore the DOCUMENT_ROOT is now always calculated as the SCRIPT_FILENAME minus the end part shared with SCRIPT_NAME.
+					// Get the web root (it is not the root of the TYPO3 installation)
+					// The absolute path of the script can be calculated with TYPO3_DOCUMENT_ROOT + SCRIPT_FILENAME
+					// Some CGI-versions (LA13CGI) and mod-rewrite rules on MODULE versions will deliver a 'wrong' DOCUMENT_ROOT (according to our description). Further various aliases/mod_rewrite rules can disturb this as well.
+					// Therefore the DOCUMENT_ROOT is now always calculated as the SCRIPT_FILENAME minus the end part shared with SCRIPT_NAME.
 				$SFN = self::getIndpEnv('SCRIPT_FILENAME');
-				$SN_A = explode('/',strrev(self::getIndpEnv('SCRIPT_NAME')));
+				$SN_A = explode('/', strrev(self::getIndpEnv('SCRIPT_NAME')));
-				$SFN_A = explode('/',strrev($SFN));
+				$SFN_A = explode('/', strrev($SFN));
 				$acc = array();
 				foreach ($SN_A as $kk => $vv) {
-					if (!strcmp($SFN_A[$kk],$vv))	{
+					if (!strcmp($SFN_A[$kk], $vv)) {
 						$acc[] = $vv;
-					} else break;
+					} else {
+						break;
-				}
+					}
+				}
-				$commonEnd=strrev(implode('/',$acc));
+				$commonEnd = strrev(implode('/', $acc));
-				if (strcmp($commonEnd,''))	{ $DR = substr($SFN,0,-(strlen($commonEnd)+1)); }
+				if (strcmp($commonEnd, '')) {
+					$DR = substr($SFN, 0, -(strlen($commonEnd) + 1));
+				}
 				$retVal = $DR;
-			break;
+				break;
 			case 'TYPO3_HOST_ONLY':
-				$p = explode(':',self::getIndpEnv('HTTP_HOST'));
+				$p = explode(':', self::getIndpEnv('HTTP_HOST'));
 				$retVal = $p[0];
-			break;
+				break;
 			case 'TYPO3_PORT':
-				$p = explode(':',self::getIndpEnv('HTTP_HOST'));
+				$p = explode(':', self::getIndpEnv('HTTP_HOST'));
 				$retVal = $p[1];
-			break;
+				break;
 			case 'TYPO3_REQUEST_HOST':
-				$retVal = (self::getIndpEnv('TYPO3_SSL') ? 'https://' : 'http://').
+				$retVal = (self::getIndpEnv('TYPO3_SSL') ? 'https://' : 'http://') .
-					self::getIndpEnv('HTTP_HOST');
-			break;
+						self::getIndpEnv('HTTP_HOST');
+				break;
 			case 'TYPO3_REQUEST_URL':
-				$retVal = self::getIndpEnv('TYPO3_REQUEST_HOST').self::getIndpEnv('REQUEST_URI');
+				$retVal = self::getIndpEnv('TYPO3_REQUEST_HOST') . self::getIndpEnv('REQUEST_URI');
-			break;
+				break;
 			case 'TYPO3_REQUEST_SCRIPT':
-				$retVal = self::getIndpEnv('TYPO3_REQUEST_HOST').self::getIndpEnv('SCRIPT_NAME');
+				$retVal = self::getIndpEnv('TYPO3_REQUEST_HOST') . self::getIndpEnv('SCRIPT_NAME');
-			break;
+				break;
 			case 'TYPO3_REQUEST_DIR':
-				$retVal = self::getIndpEnv('TYPO3_REQUEST_HOST').self::dirname(self::getIndpEnv('SCRIPT_NAME')).'/';
+				$retVal = self::getIndpEnv('TYPO3_REQUEST_HOST') . self::dirname(self::getIndpEnv('SCRIPT_NAME')) . '/';
-			break;
+				break;
 			case 'TYPO3_SITE_URL':
-				if (defined('PATH_thisScript') && defined('PATH_site'))	{
+				if (defined('PATH_thisScript') && defined('PATH_site')) {
-					$lPath = substr(dirname(PATH_thisScript),strlen(PATH_site)).'/';
+					$lPath = substr(dirname(PATH_thisScript), strlen(PATH_site)) . '/';
 					$url = self::getIndpEnv('TYPO3_REQUEST_DIR');
-					$siteUrl = substr($url,0,-strlen($lPath));
+					$siteUrl = substr($url, 0, -strlen($lPath));
-					if (substr($siteUrl,-1)!='/')	$siteUrl.='/';
+					if (substr($siteUrl, -1) != '/') {
+						$siteUrl .= '/';
+					}
 					$retVal = $siteUrl;
 				}
-			break;
+				break;
 			case 'TYPO3_SITE_PATH':
 				$retVal = substr(self::getIndpEnv('TYPO3_SITE_URL'), strlen(self::getIndpEnv('TYPO3_REQUEST_HOST')));
-			break;
+				break;
 			case 'TYPO3_SITE_SCRIPT':
-				$retVal = substr(self::getIndpEnv('TYPO3_REQUEST_URL'),strlen(self::getIndpEnv('TYPO3_SITE_URL')));
+				$retVal = substr(self::getIndpEnv('TYPO3_REQUEST_URL'), strlen(self::getIndpEnv('TYPO3_SITE_URL')));
-			break;
+				break;
 			case 'TYPO3_SSL':
 				$proxySSL = trim($GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxySSL']);
 				if ($proxySSL == '*') {
 					$proxySSL = $GLOBALS['TYPO3_CONF_VARS']['SYS']['reverseProxyIP'];
 				}
-				if (self::cmpIP($_SERVER['REMOTE_ADDR'], $proxySSL))	{
+				if (self::cmpIP($_SERVER['REMOTE_ADDR'], $proxySSL)) {
-					$retVal = true;
+					$retVal = TRUE;
 				} else {
-					$retVal = $_SERVER['SSL_SESSION_ID'] || !strcasecmp($_SERVER['HTTPS'], 'on') || !strcmp($_SERVER['HTTPS'], '1') ? true : false;	// see http://bugs.typo3.org/view.php?id=3909
+					$retVal = $_SERVER['SSL_SESSION_ID'] || !strcasecmp($_SERVER['HTTPS'], 'on') || !strcmp($_SERVER['HTTPS'], '1') ? TRUE : FALSE; // see http://bugs.typo3.org/view.php?id=3909
 				}
-			break;
+				break;
 			case '_ARRAY':
 				$out = array();
 					// Here, list ALL possible keys to this function for debug display.
-				$envTestVars = self::trimExplode(',','
+				$envTestVars = self::trimExplode(',', '
 					HTTP_HOST,
 					TYPO3_HOST_ONLY,
 					TYPO3_PORT,
@@ -4185,13 +4256,13 @@
 					REMOTE_ADDR,
 					REMOTE_HOST,
 					HTTP_USER_AGENT,
-					HTTP_ACCEPT_LANGUAGE',1);
+					HTTP_ACCEPT_LANGUAGE', 1);
 				foreach ($envTestVars as $v) {
-					$out[$v]=self::getIndpEnv($v);
+					$out[$v] = self::getIndpEnv($v);
 				}
 				reset($out);
 				$retVal = $out;
-			break;
+				break;
 		}
 		return $retVal;
 	}
@@ -4202,7 +4273,7 @@
 	 * @return	integer		The unixtime as milliseconds
 	 */
 	public static function milliseconds() {
-		return round(microtime(true) * 1000);
+		return round(microtime(TRUE) * 1000);
 	}
 
 	/**
@@ -4212,55 +4283,63 @@
 	 * @param	string		Alternative User Agent string (if empty, t3lib_div::getIndpEnv('HTTP_USER_AGENT') is used)
 	 * @return	array		Parsed information about the HTTP_USER_AGENT in categories BROWSER, VERSION, SYSTEM and FORMSTYLE
 	 */
-	public static function clientInfo($useragent='')	{
+	public static function clientInfo($useragent = '') {
-		if (!$useragent) $useragent=self::getIndpEnv('HTTP_USER_AGENT');
+		if (!$useragent) {
+			$useragent = self::getIndpEnv('HTTP_USER_AGENT');
+		}
 
-		$bInfo=array();
+		$bInfo = array();
 			// Which browser?
-		if (strpos($useragent,'Konqueror') !== false)	{
+		if (strpos($useragent, 'Konqueror') !== FALSE) {
-			$bInfo['BROWSER']= 'konqu';
+			$bInfo['BROWSER'] = 'konqu';
-		} elseif (strpos($useragent,'Opera') !== false)	{
+		} elseif (strpos($useragent, 'Opera') !== FALSE) {
-			$bInfo['BROWSER']= 'opera';
+			$bInfo['BROWSER'] = 'opera';
-		} elseif (strpos($useragent, 'MSIE') !== false) {
+		} elseif (strpos($useragent, 'MSIE') !== FALSE) {
-			$bInfo['BROWSER']= 'msie';
+			$bInfo['BROWSER'] = 'msie';
-		} elseif (strpos($useragent, 'Mozilla') !== false) {
+		} elseif (strpos($useragent, 'Mozilla') !== FALSE) {
-			$bInfo['BROWSER']='net';
+			$bInfo['BROWSER'] = 'net';
-		} elseif (strpos($useragent, 'Flash') !== false) {
+		} elseif (strpos($useragent, 'Flash') !== FALSE) {
 			$bInfo['BROWSER'] = 'flash';
 		}
-		if ($bInfo['BROWSER'])	{
+		if ($bInfo['BROWSER']) {
 				// Browser version
-			switch($bInfo['BROWSER'])	{
+			switch ($bInfo['BROWSER']) {
 				case 'net':
-					$bInfo['VERSION']= doubleval(substr($useragent,8));
+					$bInfo['VERSION'] = doubleval(substr($useragent, 8));
-					if (strpos($useragent,'Netscape6/') !== false) { $bInfo['VERSION'] = doubleval(substr(strstr($useragent,'Netscape6/'),10)); }	// Will we ever know if this was a typo or intention...?! :-(
-					if (strpos($useragent,'Netscape/6') !== false) { $bInfo['VERSION'] = doubleval(substr(strstr($useragent,'Netscape/6'),10)); }
-					if (strpos($useragent,'Netscape/7') !== false) { $bInfo['VERSION'] = doubleval(substr(strstr($useragent,'Netscape/7'),9)); }
+					if (strpos($useragent, 'Netscape6/') !== FALSE) {
+						$bInfo['VERSION'] = doubleval(substr(strstr($useragent, 'Netscape6/'), 10));
+					} // Will we ever know if this was a typo or intention...?! :-(
+					if (strpos($useragent, 'Netscape/6') !== FALSE) {
+						$bInfo['VERSION'] = doubleval(substr(strstr($useragent, 'Netscape/6'), 10));
+					}
+					if (strpos($useragent, 'Netscape/7') !== FALSE) {
+						$bInfo['VERSION'] = doubleval(substr(strstr($useragent, 'Netscape/7'), 9));
+					}
-				break;
+					break;
 				case 'msie':
-					$tmp = strstr($useragent,'MSIE');
+					$tmp = strstr($useragent, 'MSIE');
-					$bInfo['VERSION'] = doubleval(preg_replace('/^[^0-9]*/','',substr($tmp,4)));
+					$bInfo['VERSION'] = doubleval(preg_replace('/^[^0-9]*/', '', substr($tmp, 4)));
-				break;
+					break;
 				case 'opera':
-					$tmp = strstr($useragent,'Opera');
+					$tmp = strstr($useragent, 'Opera');
-					$bInfo['VERSION'] = doubleval(preg_replace('/^[^0-9]*/','',substr($tmp,5)));
+					$bInfo['VERSION'] = doubleval(preg_replace('/^[^0-9]*/', '', substr($tmp, 5)));
-				break;
+					break;
 				case 'konqu':
-					$tmp = strstr($useragent,'Konqueror/');
+					$tmp = strstr($useragent, 'Konqueror/');
-					$bInfo['VERSION'] = doubleval(substr($tmp,10));
+					$bInfo['VERSION'] = doubleval(substr($tmp, 10));
-				break;
+					break;
 			}
-				// Client system
+			// Client system
-			if (strpos($useragent,'Win') !== false)	{
+			if (strpos($useragent, 'Win') !== FALSE) {
 				$bInfo['SYSTEM'] = 'win';
-			} elseif (strpos($useragent,'Mac') !== false)	{
+			} elseif (strpos($useragent, 'Mac') !== FALSE) {
 				$bInfo['SYSTEM'] = 'mac';
-			} elseif (strpos($useragent,'Linux') !== false || strpos($useragent,'X11') !== false || strpos($useragent,'SGI') !== false || strpos($useragent,' SunOS ') !== false || strpos($useragent,' HP-UX ') !== false)	{
+			} elseif (strpos($useragent, 'Linux') !== FALSE || strpos($useragent, 'X11') !== FALSE || strpos($useragent, 'SGI') !== FALSE || strpos($useragent, ' SunOS ') !== FALSE || strpos($useragent, ' HP-UX ') !== FALSE) {
 				$bInfo['SYSTEM'] = 'unix';
 			}
 		}
-			// Is true if the browser supports css to format forms, especially the width
+		// Is true if the browser supports css to format forms, especially the width
-		$bInfo['FORMSTYLE']=($bInfo['BROWSER']=='msie' || ($bInfo['BROWSER']=='net' && $bInfo['VERSION']>=5) || $bInfo['BROWSER']=='opera' || $bInfo['BROWSER']=='konqu');
+		$bInfo['FORMSTYLE'] = ($bInfo['BROWSER'] == 'msie' || ($bInfo['BROWSER'] == 'net' && $bInfo['VERSION'] >= 5) || $bInfo['BROWSER'] == 'opera' || $bInfo['BROWSER'] == 'konqu');
 
 		return $bInfo;
 	}
@@ -4272,54 +4351,40 @@
 	 * @param	boolean		Use request host (when not in CLI mode).
 	 * @return	string		The fully-qualified host name.
 	 */
-	public static function getHostname($requestHost=TRUE)	{
+	public static function getHostname($requestHost = TRUE) {
 		$host = '';
 			// If not called from the command-line, resolve on getIndpEnv()
 			// Note that TYPO3_REQUESTTYPE is not used here as it may not yet be defined
-		if ($requestHost && (!defined('TYPO3_cliMode') || !TYPO3_cliMode))	{
+		if ($requestHost && (!defined('TYPO3_cliMode') || !TYPO3_cliMode)) {
 			$host = self::getIndpEnv('HTTP_HOST');
 		}
-		if (!$host)	{
+		if (!$host) {
 				// will fail for PHP 4.1 and 4.2
 			$host = @php_uname('n');
 				// 'n' is ignored in broken installations
-			if (strpos($host, ' '))	$host = '';
+			if (strpos($host, ' ')) {
+				$host = '';
-		}
+			}
+		}
 			// we have not found a FQDN yet
-		if ($host && strpos($host, '.') === false) {
+		if ($host && strpos($host, '.') === FALSE) {
 			$ip = gethostbyname($host);
 				// we got an IP address
-			if ($ip != $host)	{
+			if ($ip != $host) {
 				$fqdn = gethostbyaddr($ip);
-				if ($ip != $fqdn)	$host = $fqdn;
+				if ($ip != $fqdn) {
+					$host = $fqdn;
-			}
-		}
+				}
+			}
-		if (!$host)	$host = 'localhost.localdomain';
+		}
+		if (!$host) {
+			$host = 'localhost.localdomain';
+		}
 
 		return $host;
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/*************************
 	 *
 	 * TYPO3 SPECIFIC FUNCTIONS
@@ -4335,27 +4400,31 @@
 	 * @param	boolean		If $relToTYPO3_mainDir is set, then relative paths are relative to PATH_typo3 constant - otherwise (default) they are relative to PATH_site
 	 * @return	string		Returns the absolute filename of $filename IF valid, otherwise blank string.
 	 */
-	public static function getFileAbsFileName($filename,$onlyRelative=TRUE,$relToTYPO3_mainDir=FALSE)	{
+	public static function getFileAbsFileName($filename, $onlyRelative = TRUE, $relToTYPO3_mainDir = FALSE) {
-		if (!strcmp($filename,''))		return '';
+		if (!strcmp($filename, '')) {
+			return '';
+		}
 
-		if ($relToTYPO3_mainDir)	{
+		if ($relToTYPO3_mainDir) {
-			if (!defined('PATH_typo3'))	return '';
+			if (!defined('PATH_typo3')) {
+				return '';
+			}
 			$relPathPrefix = PATH_typo3;
 		} else {
 			$relPathPrefix = PATH_site;
 		}
-		if (substr($filename,0,4)=='EXT:')	{	// extension
+		if (substr($filename, 0, 4) == 'EXT:') { // extension
-			list($extKey,$local) = explode('/',substr($filename,4),2);
+			list($extKey, $local) = explode('/', substr($filename, 4), 2);
-			$filename='';
+			$filename = '';
-			if (strcmp($extKey,'') && t3lib_extMgm::isLoaded($extKey) && strcmp($local,''))	{
+			if (strcmp($extKey, '') && t3lib_extMgm::isLoaded($extKey) && strcmp($local, '')) {
-				$filename = t3lib_extMgm::extPath($extKey).$local;
+				$filename = t3lib_extMgm::extPath($extKey) . $local;
 			}
-		} elseif (!self::isAbsPath($filename))	{	// relative. Prepended with $relPathPrefix
+		} elseif (!self::isAbsPath($filename)) { // relative. Prepended with $relPathPrefix
-			$filename=$relPathPrefix.$filename;
+			$filename = $relPathPrefix . $filename;
-		} elseif ($onlyRelative && !self::isFirstPartOfStr($filename,$relPathPrefix)) {	// absolute, but set to blank if not allowed
+		} elseif ($onlyRelative && !self::isFirstPartOfStr($filename, $relPathPrefix)) { // absolute, but set to blank if not allowed
-			$filename='';
+			$filename = '';
 		}
-		if (strcmp($filename,'') && self::validPathStr($filename))	{	// checks backpath.
+		if (strcmp($filename, '') && self::validPathStr($filename)) { // checks backpath.
 			return $filename;
 		}
 	}
@@ -4371,9 +4440,9 @@
 	 * @return	boolean		True, if no '//', '\', '/../' is in the $theFile and $theFile doesn't begin with '../'
 	 * @todo	Possible improvement: Should it rawurldecode the string first to check if any of these characters is encoded ?
 	 */
-	public static function validPathStr($theFile)	{
+	public static function validPathStr($theFile) {
-		if (strpos($theFile, '//')===false && strpos($theFile, '\\')===false && !preg_match('#(?:^\.\.|/\.\./)#', $theFile)) {
-			return true;
+		if (strpos($theFile, '//') === FALSE && strpos($theFile, '\\') === FALSE && !preg_match('#(?:^\.\.|/\.\./)#', $theFile)) {
+			return TRUE;
 		}
 	}
 
@@ -4384,8 +4453,8 @@
 	 * @param	string		Filepath to evaluate
 	 * @return	boolean
 	 */
-	public static function isAbsPath($path)	{
+	public static function isAbsPath($path) {
-		return TYPO3_OS=='WIN' ? substr($path,1,2)==':/' :  substr($path,0,1)=='/';
+		return TYPO3_OS == 'WIN' ? substr($path, 1, 2) == ':/' : substr($path, 0, 1) == '/';
 	}
 
 	/**
@@ -4395,15 +4464,17 @@
 	 * @param	string		Filepath to evaluate
 	 * @return	boolean
 	 */
-	public static function isAllowedAbsPath($path)	{
+	public static function isAllowedAbsPath($path) {
 		if (self::isAbsPath($path) &&
-			self::validPathStr($path) &&
+				self::validPathStr($path) &&
-				(	self::isFirstPartOfStr($path,PATH_site)
+				(self::isFirstPartOfStr($path, PATH_site)
-					||
+						||
-					($GLOBALS['TYPO3_CONF_VARS']['BE']['lockRootPath'] && self::isFirstPartOfStr($path,$GLOBALS['TYPO3_CONF_VARS']['BE']['lockRootPath']))
+						($GLOBALS['TYPO3_CONF_VARS']['BE']['lockRootPath'] && self::isFirstPartOfStr($path, $GLOBALS['TYPO3_CONF_VARS']['BE']['lockRootPath']))
 				)
-			)	return true;
+		) {
+			return TRUE;
-	}
+		}
+	}
 
 	/**
 	 * Verifies the input filename againts the 'fileDenyPattern'. Returns true if OK.
@@ -4412,12 +4483,14 @@
 	 * @param	string		Filepath to evaluate
 	 * @return	boolean
 	 */
-	public static function verifyFilenameAgainstDenyPattern($filename)	{
+	public static function verifyFilenameAgainstDenyPattern($filename) {
-		if (strcmp($filename,'') && strcmp($GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'],''))	{
+		if (strcmp($filename, '') && strcmp($GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'], '')) {
-			$result = preg_match('/'.$GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'].'/i',$filename);
+			$result = preg_match('/' . $GLOBALS['TYPO3_CONF_VARS']['BE']['fileDenyPattern'] . '/i', $filename);
-			if ($result)	return false;	// so if a matching filename is found, return false;
+			if ($result) {
+				return FALSE;
+			} // so if a matching filename is found, return FALSE;
 		}
-		return true;
+		return TRUE;
 	}
 
 	/**
@@ -4427,7 +4500,7 @@
 	 * @param string $url potential URL to check
 	 *
 	 * @return string either $url if $url is considered to be harmless, or an
-	 *                empty string otherwise
+	 *				empty string otherwise
 	 */
 	public static function sanitizeLocalUrl($url = '') {
 		$sanitizedUrl = '';
@@ -4473,17 +4546,17 @@
 	 * @coauthor	Dennis Petersen <fessor@software.dk>
 	 * @see upload_to_tempfile()
 	 */
-	public static function upload_copy_move($source,$destination)	{
+	public static function upload_copy_move($source, $destination) {
-		if (is_uploaded_file($source))	{
+		if (is_uploaded_file($source)) {
 			$uploaded = TRUE;
-			// Return the value of move_uploaded_file, and if false the temporary $source is still around so the user can use unlink to delete it:
+				// Return the value of move_uploaded_file, and if false the temporary $source is still around so the user can use unlink to delete it:
 			$uploadedResult = move_uploaded_file($source, $destination);
 		} else {
 			$uploaded = FALSE;
-			@copy($source,$destination);
+			@copy($source, $destination);
 		}
 
-		self::fixPermissions($destination);	// Change the permissions of the file
+		self::fixPermissions($destination); // Change the permissions of the file
 
 			// If here the file is copied and the temporary $source is still around, so when returning false the user can try unlink to delete the $source
 		return $uploaded ? $uploadedResult : FALSE;
@@ -4499,8 +4572,8 @@
 	 * @return	string		If a new file was successfully created, return its filename, otherwise blank string.
 	 * @see unlink_tempfile(), upload_copy_move()
 	 */
-	public static function upload_to_tempfile($uploadedFileName)	{
+	public static function upload_to_tempfile($uploadedFileName) {
-		if (is_uploaded_file($uploadedFileName))	{
+		if (is_uploaded_file($uploadedFileName)) {
 			$tempFile = self::tempnam('upload_temp_');
 			move_uploaded_file($uploadedFileName, $tempFile);
 			return @is_file($tempFile) ? $tempFile : '';
@@ -4517,11 +4590,13 @@
 	 * @return	boolean		Returns true if the file was unlink()'ed
 	 * @see upload_to_tempfile(), tempnam()
 	 */
-	public static function unlink_tempfile($uploadedTempFileName)	{
+	public static function unlink_tempfile($uploadedTempFileName) {
-		if ($uploadedTempFileName && self::validPathStr($uploadedTempFileName) && self::isFirstPartOfStr($uploadedTempFileName,PATH_site.'typo3temp/') && @is_file($uploadedTempFileName))	{
+		if ($uploadedTempFileName && self::validPathStr($uploadedTempFileName) && self::isFirstPartOfStr($uploadedTempFileName, PATH_site . 'typo3temp/') && @is_file($uploadedTempFileName)) {
-			if (unlink($uploadedTempFileName))	return TRUE;
+			if (unlink($uploadedTempFileName)) {
+				return TRUE;
-		}
-	}
+			}
+		}
+	}
 
 	/**
 	 * Create temporary filename (Create file with unique file name)
@@ -4533,8 +4608,8 @@
 	 * @return	string		result from PHP function tempnam() with PATH_site.'typo3temp/' set for temp path.
 	 * @see unlink_tempfile(), upload_to_tempfile()
 	 */
-	public static function tempnam($filePrefix)	{
+	public static function tempnam($filePrefix) {
-		return tempnam(PATH_site.'typo3temp/',$filePrefix);
+		return tempnam(PATH_site . 'typo3temp/', $filePrefix);
 	}
 
 	/**
@@ -4546,25 +4621,25 @@
 	 * @param	integer		Length of returned authentication code.
 	 * @return	string		MD5 hash of 8 chars.
 	 */
-	public static function stdAuthCode($uid_or_record,$fields='',$codeLength=8)	{
+	public static function stdAuthCode($uid_or_record, $fields = '', $codeLength = 8) {
 
-		if (is_array($uid_or_record))	{
+		if (is_array($uid_or_record)) {
-			$recCopy_temp=array();
+			$recCopy_temp = array();
-			if ($fields)	{
+			if ($fields) {
-				$fieldArr = self::trimExplode(',',$fields,1);
+				$fieldArr = self::trimExplode(',', $fields, 1);
 				foreach ($fieldArr as $k => $v) {
-					$recCopy_temp[$k]=$uid_or_record[$v];
+					$recCopy_temp[$k] = $uid_or_record[$v];
 				}
 			} else {
-				$recCopy_temp=$uid_or_record;
+				$recCopy_temp = $uid_or_record;
 			}
-			$preKey = implode('|',$recCopy_temp);
+			$preKey = implode('|', $recCopy_temp);
 		} else {
 			$preKey = $uid_or_record;
 		}
 
-		$authCode = $preKey.'||'.$GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'];
+		$authCode = $preKey . '||' . $GLOBALS['TYPO3_CONF_VARS']['SYS']['encryptionKey'];
-		$authCode = substr(md5($authCode),0,$codeLength);
+		$authCode = substr(md5($authCode), 0, $codeLength);
 		return $authCode;
 	}
 
@@ -4577,18 +4652,18 @@
 	 * @see tslib_fe::makeCacheHash(), tslib_cObj::typoLink(), t3lib_div::calculateCHash()
 	 */
 	public static function cHashParams($addQueryParams) {
-		$params = explode('&',substr($addQueryParams,1));	// Splitting parameters up
+		$params = explode('&', substr($addQueryParams, 1)); // Splitting parameters up
 
 			// Make array:
 		$pA = array();
-		foreach($params as $theP)	{
+		foreach ($params as $theP) {
-			$pKV = explode('=', $theP);	// Splitting single param by '=' sign
+			$pKV = explode('=', $theP); // Splitting single param by '=' sign
-			if (!self::inList('id,type,no_cache,cHash,MP,ftu',$pKV[0]) && !preg_match('/TSFE_ADMIN_PANEL\[.*?\]/',$pKV[0]))	{
+			if (!self::inList('id,type,no_cache,cHash,MP,ftu', $pKV[0]) && !preg_match('/TSFE_ADMIN_PANEL\[.*?\]/', $pKV[0])) {
-				$pA[rawurldecode($pKV[0])] = (string)rawurldecode($pKV[1]);
+				$pA[rawurldecode($pKV[0])] = (string) rawurldecode($pKV[1]);
 			}
 		}
 			// Hook: Allows to manipulate the parameters which are taken to build the chash:
-		if (isset($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_div.php']['cHashParamsHook']))	{
+		if (isset($GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_div.php']['cHashParamsHook'])) {
 			$cHashParamsHook =& $GLOBALS['TYPO3_CONF_VARS']['SC_OPTIONS']['t3lib/class.t3lib_div.php']['cHashParamsHook'];
 			if (is_array($cHashParamsHook)) {
 				$hookParameters = array(
@@ -4596,8 +4671,8 @@
 					'params' => &$params,
 					'pA' => &$pA,
 				);
-				$hookReference = null;
+				$hookReference = NULL;
-				foreach ($cHashParamsHook as $hookFunction)	{
+				foreach ($cHashParamsHook as $hookFunction) {
 					self::callUserFunction($hookFunction, $hookParameters, $hookReference);
 				}
 			}
@@ -4639,11 +4714,11 @@
 	 * @param	integer		Value from "l18n_cfg" field of a page record
 	 * @return	boolean		True if the page should be hidden
 	 */
-	public static function hideIfNotTranslated($l18n_cfg_fieldValue)	{
+	public static function hideIfNotTranslated($l18n_cfg_fieldValue) {
-		if ($GLOBALS['TYPO3_CONF_VARS']['FE']['hidePagesIfNotTranslatedByDefault'])	{
+		if ($GLOBALS['TYPO3_CONF_VARS']['FE']['hidePagesIfNotTranslatedByDefault']) {
-			return $l18n_cfg_fieldValue&2 ? FALSE : TRUE;
+			return $l18n_cfg_fieldValue & 2 ? FALSE : TRUE;
 		} else {
-			return $l18n_cfg_fieldValue&2 ? TRUE : FALSE;
+			return $l18n_cfg_fieldValue & 2 ? TRUE : FALSE;
 		}
 	}
 
